"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("@storybook/react");
var get_render_remote_data_1 = require("../get-render-remote-data");
var React = require("react");
var remote_data_ts_1 = require("@devexperts/remote-data-ts");
var DataStateError = function (props) { return React.createElement("div", null,
    "error: ",
    props.error.message); };
var DataStateNoDate = function () { return React.createElement("div", null, "no data"); };
var RenderRemoteData = get_render_remote_data_1.getRenderRemoteData({
    DataStateNoData: DataStateNoDate,
    DataStateFailure: DataStateError,
});
var renderSuccess = function (data) { return React.createElement("div", null, data); };
react_1.storiesOf('RenderRemoteData', module)
    .add('success', function () { return React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success('success') }); })
    .add('error', function () { return (React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.failure(new Error('some test error')) })); })
    .add('no data', function () { return React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success(''), noData: function (data) { return !data; } }); });
//# sourceMappingURL=render-remote-data.page.js.map